// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('starter', [
    'ionic',
    'ionic-material',
    'ionMdInput',
    'angular-inview',
    'vjs.video',
    'angular-google-adsense',
    '720kb.datepicker'
])

.filter('unsafe', function ($sce) { return $sce.trustAsHtml; })
.run(function ($ionicPlatform, authManager, $rootScope, notificationManager) {
    $ionicPlatform.ready(function () {

        if (localStorage.userInfo) {
            authManager.doSyncIf(function() {
                $scope.channelList = channelManager.getChannelListArray();

            });
        }

        if (window.cordova) {
            cordova.getAppVersion.getPackageName(function (packageName) {
                console.log(packageName);

                if (packageName == "st.veezie.full") {
                    webClientId = "207160370851-q1qs8bhr7ncmir1f5gunehfo7g0mb2g8.apps.googleusercontent.com";
                }

            });

        }

        // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
        // for form inputs)
        if (window.cordova && window.cordova.plugins.Keyboard) {
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
        }
        if (window.StatusBar) {
            // org.apache.cordova.statusbar required
            StatusBar.styleDefault();
        }
    });
})

.config(function ($stateProvider, $urlRouterProvider, $httpProvider, $ionicConfigProvider) {
    $httpProvider.defaults.withCredentials = true;

    $ionicConfigProvider.views.transition('none');

    

    $stateProvider

    .state('app', {
        url: '/app',
        cache: false,
        abstract: true,
        templateUrl: 'views/menu.html',
        controller: 'AppCtrl'
    })

    .state('app.dashboard', {
        url: '/dashboard',
        //cache: false,
        views: {
            'menuContent': {
                templateUrl: 'views/dashboard.html',
                controller: 'DashboardCtrl'
            }
        }
    })
    .state('app.channel', {
        //cache: false,
        url: '/channel/{channelName}',
        views: {
            'menuContent': {
                templateUrl: 'views/channel.html',
                controller: 'ChannelCtrl'
            }
        }
    })
    .state('app.movie', {
        url: '/movie',
        views: {
            'menuContent': {
                templateUrl: 'views/movie.html',
                controller: 'MovieCtrl'
            }
        }
    })
    .state('app.favourites', {
        url: '/favourites',
        cache: false,
        views: {
            'menuContent': {
                templateUrl: 'views/favourites.html',
                controller: 'FavouritesCtrl'
            }
        }
    })
	.state('app.watched', {
        url: '/watched',
        cache: false,
        views: {
            'menuContent': {
                templateUrl: 'views/watched.html',
                controller: 'WatchedCtrl'
            }
        }
    })
    .state('app.singleLink', {
        url: '/singlelink/{mode}',
        //cache: false,
        views: {
            'menuContent': {
                templateUrl: 'views/modals/playSingleLink.html',
                controller: 'SingleLinkCtrl'
            }
        }
    })
    .state('app.settings', {
        url: '/settings',
        cache: false,
        views: {
            'menuContent': {
                templateUrl: 'views/settings.html',
                controller: 'SettingsCtrl'
            }
        }
    })
    .state('app.localLibrary', {
        url: '/localLibrary',
        cache: false,
        views: {
            'menuContent': {
                templateUrl: 'views/localLibrary.html',
                controller: 'LocalLibraryCtrl'
            }
        }
    })
    .state('app.IPTV', {
        url: '/IPTV',
        cache: false,
        views: {
            'menuContent': {
                templateUrl: 'views/IPTV.html',
                controller: 'IPTVCtrl'
            }
        }
    })
    .state('app.calendar', {
        url: '/calendar',
        //cache: false,
        views: {
            'menuContent': {
                templateUrl: 'views/calendar.html',
                controller: 'TvCalendarCtrl'
            }
        }
    })
    ;
    // if none of the above states are matched, use this as the fallback
    $urlRouterProvider.otherwise('/app/dashboard');
});
